commit:     8694e70b7001b2296d4aec13d9a861028d8daf48
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  4 01:42:17 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Jan  4 01:42:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8694e70b

sys-block/storcli: Bump to v1.20.15

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sys-block/storcli/Manifest               |  1 +
 sys-block/storcli/storcli-1.20.15.ebuild | 66 ++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/sys-block/storcli/Manifest b/sys-block/storcli/Manifest
index 33356e5..5f92f4e 100644
--- a/sys-block/storcli/Manifest
+++ b/sys-block/storcli/Manifest
@@ -1 +1,2 @@
 DIST storcli-1.19.04.zip 41606377 SHA256 
026456cf30e1f14f33a42eb5804dcf9fb6d3b79b9fd46828db6cdd4abe736054 SHA512 
3086360a4c40755cdcaa8faa7192adccae5555cf3aaa741be583fa3559a7dedc14652489d8248a69465040871710917d09461644df3d1d2d31fe6d6e0957196b
 WHIRLPOOL 
81fd83d9b3e938b5cf5135066db97aa4db3c1c7b62ca861a1736dd7719874a2b68d5e1c65ad79d97e29e8d4cfbfa2ee0a7fdc347fc0931009e8f7cc946739cae
+DIST storcli-1.20.15.zip 47065136 SHA256 
04272ebe0978f22d065193988561a128215f7797854b23ad0cdf741f2b234ae6 SHA512 
8d0bd39c005b26ad0eb3db045ae8f303eb36333b569c1be9d1e599c0845b2427f473015c4f75859dd283f8ec5072a3037f1a0810c9ad54b6b552a9c08bfdba05
 WHIRLPOOL 
b19cb84252b65b44b3fde752cf6bc9cf890554ed105a965e2a8917ccfaac2a58620062b08774be4271d4ca3aa12a0b53840cc02551aea3d63ad274cdde59b8e6

diff --git a/sys-block/storcli/storcli-1.20.15.ebuild 
b/sys-block/storcli/storcli-1.20.15.ebuild
new file mode 100644
index 00000000..d179a8f
--- /dev/null
+++ b/sys-block/storcli/storcli-1.20.15.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit pax-utils
+
+DESCRIPTION="MegaRAID StorCLI (successor of the MegaCLI)"
+HOMEPAGE="http://www.avagotech.com/support/download-search?dnd-keyword=storcli";
+# For new versions check 
http://www.avagotech.com/cs/Satellite?pagename=AVG2/Utilities/searchResultsJson&page=1&q=storcli&endDate=null&searchType=type-AVG_Document_C~Downloads&isEntitled=null&dynamic-search-relevance=Newest
+SRC_URI="https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/${PV}_StorCLI.zip
 -> ${P}.zip"
+
+LICENSE="Avago LSI BSD"
+SLOT="0/6.12"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+DOCS=( readme.txt license.txt )
+
+MY_STORCLI_BASEDIR="/opt/lsi/storcli"
+
+QA_PRESTRIPPED="${MY_STORCLI_BASEDIR:1}/storcli"
+
+src_unpack() {
+       unpack ${A}
+
+       mv storcli_All_OS/storcli_All_OS/Ubuntu/storcli_*.deb "${WORKDIR}" || 
die "Failed to move storclli_*.deb"
+
+       # Unpack Ubuntu package which will be our $S content
+       unpack "${WORKDIR}"/storcli_*.deb
+       rm -f storcli_*.deb || die "Failed to cleanup storcli_*.deb package"
+       unpack "${WORKDIR}"/data.tar.gz
+
+       mkdir "${S}" || die "Failed to create '${S}'"
+}
+
+src_prepare() {
+       default
+
+       # Create clean $S
+       mv "${WORKDIR}"/*CLI.txt "${S}"/readme.txt || die "Failed to move 
*CLI.txt to readme.txt"
+       mv "${WORKDIR}"/storcli_All_OS/storcli_All_OS/Linux/license.txt 
"${S}"/license.txt || die "Failed to move Linux/license.txt"
+       rm -rf "${WORKDIR}"/storcli_all* || die "Failed to cleanup storcli_all* 
dirs/files"
+       mv "${WORKDIR}"/opt/Mega*/storcli/* "${S}" || die "Failed to move 
storcli_.deb content to '${S}'"
+       rm -rf "${WORKDIR}"/{opt,control.tar.gz,data.tar.gz,debian-binary} || 
die "Failed to cleanup no longer needed files"
+}
+
+src_install() {
+       exeinto "${MY_STORCLI_BASEDIR}"
+
+       if use x86; then
+               doexe storcli
+       elif use amd64; then
+               newexe storcli64 storcli
+       fi
+
+       dosym "${MY_STORCLI_BASEDIR}"/storcli /usr/sbin/storcli
+
+       dodoc "${DOCS[@]}"
+
+       pax-mark m "${D%/}${MY_STORCLI_BASEDIR}"/storcli
+}

Reply via email to